<tr><td height=25 class="question" valign=center>&nbsp;{questionRequire}<span class="textEdit" id="questionName_{questionID}">{questionName}</span>&nbsp;<span class=notes>{questionNotes}</span></td></tr>
<tr><td class="tips"><span class="textEdit" id="questionNotes_{questionID}">{questionTips}</span></td></tr>
<tr><td>
	  <table cellSpacing=0 cellPadding=0 width="100%">
	     <tr><td class="answer"><input type="text" readonly id="{optionID}" name="{optionID}" size="{length}" value="{value}"/>&nbsp;<input type="button" name="takePic{optionID}" id="takePic{optionID}" class=btn value="&nbsp;&nbsp;拍照&nbsp;&nbsp;" onClick="javascript:takePic_{optionID}('{optionID}');" style="display:{hiddenVarName_1}">&nbsp;<input  class=btn type="button" name="takeViedo{optionID}" id="takeViedo{optionID}" value="&nbsp;&nbsp;录像&nbsp;&nbsp;" onClick="javascript:takeViedo_{optionID}('{optionID}');" style="display:{hiddenVarName_2}">&nbsp;<input type="button" name="takeAudio{optionID}" id="takeAudio{optionID}" class=btn value="&nbsp;&nbsp;录音&nbsp;&nbsp;" onClick="javascript:takeAudio_{optionID}('{optionID}');" style="display:{hiddenVarName_3}"></td></tr>
		 <tr><td id="fsUploadProgress_{optionID}"></td></tr>
	   </table>
</td></tr>

<script type=text/javascript>
var path = rexseeStorage.getRoot() + "EnableQ";
var uploadFlag = '';
var uploadURL = "Android/FileUpload.php";
</script>

{fileUploadIncludeFile}

<script type=text/javascript>
function takePic_{optionID}(optionID){
	if ( !rexseeStorage.isReady() ) { alert("SD卡未就绪！"); rexseeApplication.quit(); }
	if ( !rexseeFile.exists(path) && !rexseeFile.newDir(path) ) { alert("创建临时存储文件夹失败！"); return false; }

	var txt = document.getElementById("{optionID}");
    txt.value = "";

	uploadFlag = optionID;
	rexseeCamera.takePicture(0,path+"/"+rexseeAlarm.getCurrentTime()+".jpg");
}
function takeViedo_{optionID}(optionID){
	if ( !rexseeStorage.isReady() ) { alert("SD卡未就绪！"); rexseeApplication.quit(); }
	if ( !rexseeFile.exists(path) && !rexseeFile.newDir(path) ) { alert("创建临时存储文件夹失败！"); return false; }

	var txt = document.getElementById("{optionID}");
    txt.value = "";

	uploadFlag = optionID;
	rexseeCamera.takeVideo(0);
}
function takeAudio_{optionID}(optionID){
 	if ( !rexseeStorage.isReady() ) { alert("SD卡未就绪！"); rexseeApplication.quit(); }
    if ( !rexseeFile.exists(path) && !rexseeFile.newDir(path) ) { alert("创建临时存储文件夹失败！"); return false; }

	var txt = document.getElementById("{optionID}");
    txt.value = "";

	uploadFlag = optionID;
	rexseeAudioRecorder.record();
}
</script>
